Page MenuHomePhabricator

Downgrade extensions that use manifest_version 2 in REL1_28
Closed, ResolvedPublic

Description

There'll be some that don't need to use manifest_version 2, and can be easily downgraded...

Some might not be so easy

Simple modifications (removing value):

More extensive modifications (moving things to onRegistration):

  • BlockAndNuke
  • timeline
  • TorBlock
  • TrustedXff
  • ZeroBanner

Details

Related Gerrit Patches:
mediawiki/extensions/ZeroPortal : REL1_28Revert extension registration from ZeroPortal
mediawiki/extensions/ZeroBanner : REL1_28Revert ZeroBanner to manifest_version 1
mediawiki/extensions/timeline : REL1_28Revert timeline to manifest_version 1
mediawiki/extensions/TorBlock : REL1_28Revert TorBlock to manifest_version 1
mediawiki/extensions/ThrottleOverride : REL1_28Revert ThrottleOverride to manifest_version 1
mediawiki/extensions/TrustedXFF : REL1_28Revert TrustedXff to manifest_version 1
mediawiki/extensions/TrustedXFF : masterRevert TrustedXff to manifest_version 1
mediawiki/extensions/PageImages : REL1_28Revert PageImages to manifest_version 1
mediawiki/extensions/OAuth : REL1_28Revert OAuth to manifest_version 1
mediawiki/extensions/JsonConfig : REL1_28Revert JsonConfig to manifest_version 1
mediawiki/extensions/BlockAndNuke : REL1_28Revert BlockAndNuke to manifest_version_1
mediawiki/extensions/BlockAndNuke : masterRevert BlockAndNuke to manifest_version_1
mediawiki/extensions/GeoData : REL1_28Revert GeoData to manifest_version 1
mediawiki/extensions/ThrottleOverride : masterRevert ThrottleOverride to manifest_version 1
mediawiki/extensions/PagedTiffHandler : REL1_28Revert PagedTiffHandler to manifest_version 1
mediawiki/extensions/GlobalBlocking : REL1_28Revert GlobalBlocking to manifest_version 1
mediawiki/extensions/LiquidThreads : REL1_28Revert LiquidThreads to manifest_version 1

Event Timeline

Reedy created this task.Nov 2 2016, 12:08 AM
Reedy renamed this task from Downgrade extensions that use manifest_version 2 to Downgrade extensions that use manifest_version 2 in REL1_28.Nov 2 2016, 12:22 AM
Reedy updated the task description. (Show Details)
Reedy updated the task description. (Show Details)Nov 2 2016, 6:04 PM
Reedy changed the task status from Open to Stalled.Nov 3 2016, 12:05 AM
Reedy updated the task description. (Show Details)

Stalling this till we decide how we're proceeding in core

Change 319684 had a related patch set uploaded (by Reedy):
Revert GeoData to manifest_version 1

https://gerrit.wikimedia.org/r/319684

Change 319685 had a related patch set uploaded (by Reedy):
Revert GlobalBlocking to manifest_version 1

https://gerrit.wikimedia.org/r/319685

Change 319686 had a related patch set uploaded (by Reedy):
Revert LiquidThreads to manifest_version 1

https://gerrit.wikimedia.org/r/319686

Change 319687 had a related patch set uploaded (by Reedy):
Revert OAuth to manifest_version 1

https://gerrit.wikimedia.org/r/319687

Change 319688 had a related patch set uploaded (by Reedy):
Revert PagedTiffHandler to manifest_version 1

https://gerrit.wikimedia.org/r/319688

Change 319686 merged by jenkins-bot:
Revert LiquidThreads to manifest_version 1

https://gerrit.wikimedia.org/r/319686

Change 319685 merged by jenkins-bot:
Revert GlobalBlocking to manifest_version 1

https://gerrit.wikimedia.org/r/319685

Change 319690 had a related patch set uploaded (by Reedy):
Revert PageImages to manifest_version 1

https://gerrit.wikimedia.org/r/319690

Change 319688 merged by jenkins-bot:
Revert PagedTiffHandler to manifest_version 1

https://gerrit.wikimedia.org/r/319688

Change 319691 had a related patch set uploaded (by Reedy):
Revert ThrottleOverride to manifest_version 1

https://gerrit.wikimedia.org/r/319691

Change 319699 had a related patch set uploaded (by Reedy):
Revert TrustedXff to manifest_version 1

https://gerrit.wikimedia.org/r/319699

Change 319701 had a related patch set uploaded (by Reedy):
Revert TorBlock to manifest_version 1

https://gerrit.wikimedia.org/r/319701

Change 319702 had a related patch set uploaded (by Reedy):
Revert ThrottleOverride to manifest_version 1

https://gerrit.wikimedia.org/r/319702

Change 319691 abandoned by Reedy:
Revert ThrottleOverride to manifest_version 1

Reason:
Shouldn't have been on master

https://gerrit.wikimedia.org/r/319691

Change 319703 had a related patch set uploaded (by Reedy):
Revert timeline to manifest_version 1

https://gerrit.wikimedia.org/r/319703

Reedy changed the task status from Stalled to Open.Nov 3 2016, 9:55 PM
Reedy updated the task description. (Show Details)
Reedy updated the task description. (Show Details)Nov 3 2016, 9:58 PM

Change 319704 had a related patch set uploaded (by Reedy):
Revert TrustedXff to manifest_version 1

https://gerrit.wikimedia.org/r/319704

Change 319706 had a related patch set uploaded (by MtDu):
Revert BlockAndNuke to manifest_version_1

https://gerrit.wikimedia.org/r/319706

Change 319684 merged by MaxSem:
Revert GeoData to manifest_version 1

https://gerrit.wikimedia.org/r/319684

Change 319707 had a related patch set uploaded (by Reedy):
Revert JsonConfig to manifest_version 1

https://gerrit.wikimedia.org/r/319707

Change 319706 merged by jenkins-bot:
Revert BlockAndNuke to manifest_version_1

https://gerrit.wikimedia.org/r/319706

Reedy updated the task description. (Show Details)Nov 3 2016, 10:27 PM

Change 319729 had a related patch set uploaded (by Reedy):
Revert BlockAndNuke to manifest_version_1

https://gerrit.wikimedia.org/r/319729

Change 319729 merged by jenkins-bot:
Revert BlockAndNuke to manifest_version_1

https://gerrit.wikimedia.org/r/319729

Reedy updated the task description. (Show Details)Nov 3 2016, 10:32 PM

Change 319707 merged by jenkins-bot:
Revert JsonConfig to manifest_version 1

https://gerrit.wikimedia.org/r/319707

Reedy updated the task description. (Show Details)Nov 4 2016, 12:27 AM

Change 319687 merged by jenkins-bot:
Revert OAuth to manifest_version 1

https://gerrit.wikimedia.org/r/319687

Change 319690 merged by jenkins-bot:
Revert PageImages to manifest_version 1

https://gerrit.wikimedia.org/r/319690

Change 319704 merged by jenkins-bot:
Revert TrustedXff to manifest_version 1

https://gerrit.wikimedia.org/r/319704

Change 319699 merged by jenkins-bot:
Revert TrustedXff to manifest_version 1

https://gerrit.wikimedia.org/r/319699

Change 319702 merged by jenkins-bot:
Revert ThrottleOverride to manifest_version 1

https://gerrit.wikimedia.org/r/319702

Reedy updated the task description. (Show Details)Nov 4 2016, 11:42 AM
Reedy added a comment.Nov 4 2016, 11:45 AM

Sigh, yes I am going to have to do the Zero extensions...

Reedy updated the task description. (Show Details)Nov 4 2016, 2:20 PM
Reedy updated the task description. (Show Details)Nov 4 2016, 2:27 PM

Change 319861 had a related patch set uploaded (by Reedy):
Revert ZeroPortal to extension registration v1

https://gerrit.wikimedia.org/r/319861

Change 319864 had a related patch set uploaded (by Reedy):
Revert ZeroBanner to manifest_version 1

https://gerrit.wikimedia.org/r/319864

Change 319701 merged by jenkins-bot:
Revert TorBlock to manifest_version 1

https://gerrit.wikimedia.org/r/319701

Change 319703 merged by jenkins-bot:
Revert timeline to manifest_version 1

https://gerrit.wikimedia.org/r/319703

Change 319864 merged by jenkins-bot:
Revert ZeroBanner to manifest_version 1

https://gerrit.wikimedia.org/r/319864

Change 319861 merged by jenkins-bot:
Revert extension registration from ZeroPortal

https://gerrit.wikimedia.org/r/319861

Reedy closed this task as Resolved.Nov 10 2016, 9:55 PM
Reedy claimed this task.
Reedy updated the task description. (Show Details)